(function (global, factory) {
  typeof exports === 'object' && typeof module !== 'undefined' ? factory(exports, require('@state-designer/core'), require('@state-designer/react')) :
  typeof define === 'function' && define.amd ? define(['exports', '@state-designer/core', '@state-designer/react'], factory) :
  (global = global || self, factory(global.StateDesigner = {}, global.core, global.react));
}(this, (function (exports, core, react) { 'use strict';

  Object.defineProperty(exports, 'S', {
    enumerable: true,
    get: function () {
      return core.S;
    }
  });
  Object.defineProperty(exports, 'createDesign', {
    enumerable: true,
    get: function () {
      return core.createDesign;
    }
  });
  Object.defineProperty(exports, 'createState', {
    enumerable: true,
    get: function () {
      return core.createState;
    }
  });
  Object.defineProperty(exports, 'StateGraph', {
    enumerable: true,
    get: function () {
      return react.StateGraph;
    }
  });
  Object.defineProperty(exports, 'createSelectorHook', {
    enumerable: true,
    get: function () {
      return react.createSelectorHook;
    }
  });
  Object.defineProperty(exports, 'useGlobalState', {
    enumerable: true,
    get: function () {
      return react.useGlobalState;
    }
  });
  Object.defineProperty(exports, 'useLocalState', {
    enumerable: true,
    get: function () {
      return react.useLocalState;
    }
  });
  Object.defineProperty(exports, 'useSelector', {
    enumerable: true,
    get: function () {
      return react.useSelector;
    }
  });
  Object.defineProperty(exports, 'useStateDesigner', {
    enumerable: true,
    get: function () {
      return react.useStateDesigner;
    }
  });

  Object.defineProperty(exports, '__esModule', { value: true });

})));
